GIT-UBUNTU-QUEUE(1)

NAME
git-ubuntu-queue - Interact with the Ubuntu unapproved and new queues in a Git repository

SYNOPSIS
git ubuntu queue clean|sync [-d | --directory <directory>]

git ubuntu queue sync [--source <source>] [--series <series>] [--parent <parent>] [--orphan] [--no-trim] [--new] [--unapproved] [--no-fetch]

DESCRIPTION
Import unapproved and new uploads for Ubuntu source packages to the local repository.

OPTIONS

clean|sync
    The mode to operate in. If "clean", delete all local queue-related tags. If "sync", import uploads to the unapproved and new queues.

Both "clean" and "sync" recognize:

-d <directory>, --directory <directory>
    The local directory to perform the merge in. If not specified, the current directory is used.

"sync" also recognizes:

--source <source>
    Override source package name on which to act.

--series <series>
    Override Ubuntu series on which to act.

--parent <parent>
    Override commit parent for new imports.

--orphan
    Force new imports to be orphan commits.

--no-trim
    Do not remove old tags.

--new
    Only consider the New queue.

--unapproved
    Only consider the Unapproved queue.

--no-fetch
    Do not fetch from the importer repository first.

EXIT STATUS
git ubuntu queue exits with status 0 if the command completes successfully. git ubuntu queue exits with nonzero exit status on errors.

REPORTING BUGS
Report bugs at https://bugs.launchpad.net/git-ubuntu .

GIT-UBUNTU
Part of the git-ubuntu(1) suite